This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 188790 - CVE-2006-1733 Accessing XBL compilation scope via valueOf.call()
CVE-2006-1733 Accessing XBL compilation scope via valueOf.call()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:22 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 11:56:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:22:15 EDT
Accessing XBL compilation scope via valueOf.call()


moz_bug_r_a4 discovered that the compilation scope of privileged built-in
XBL bindings was not fully protected from web content and could be accessed
by calling valueOf.call() and valueOf.apply() on a method of that binding.
This could then be used to compile and run attacker-supplied JavaScript,
giving it the privileges of the binding which would allow an attacker to
install malware such as viruses and password sniffers.

shutdown  reported an alternate way to get to XBL compilation scope by
inserting an XBL method into the DOM's document.body prototype chain.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=312871
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=313236
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=313375


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 08:50:52 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 11:56:53 EDT
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.

Note You need to log in before you can comment on or make changes to this bug.